Box2D: b2MotorJoint Class Reference

| Box2D 2.4.1 A 2D physics engine for games

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
b2MotorJoint Class Reference

`#include <b2_motor_joint.h>`

Inheritance diagram for b2MotorJoint:

## Public Member Functions
b2Vec2 | GetAnchorA () const override
| Get the anchor point on bodyA in world coordinates.
b2Vec2 | GetAnchorB () const override
| Get the anchor point on bodyB in world coordinates.
b2Vec2 | GetReactionForce (float inv_dt) const override
| Get the reaction force on bodyB at the joint anchor in Newtons.
float | GetReactionTorque (float inv_dt) const override
| Get the reaction torque on bodyB in N*m.
void | SetLinearOffset (const b2Vec2 &linearOffset)
| Set/get the target linear offset, in frame A, in meters.
const b2Vec2 & | GetLinearOffset () const
void | SetAngularOffset (float angularOffset)
| Set/get the target angular offset, in radians.
float | GetAngularOffset () const
void | SetMaxForce (float force)
| Set the maximum friction force in N.
float | GetMaxForce () const
| Get the maximum friction force in N.
void | SetMaxTorque (float torque)
| Set the maximum friction torque in N*m.
float | GetMaxTorque () const
| Get the maximum friction torque in N*m.
void | SetCorrectionFactor (float factor)
| Set the position correction factor in the range [0,1].
float | GetCorrectionFactor () const
| Get the position correction factor in the range [0,1].
void | Dump () override
| Dump to b2Log.
Public Member Functions inherited from b2Joint
b2JointType | GetType () const
| Get the type of the concrete joint.
b2Body * | GetBodyA ()
| Get the first body attached to this joint.
b2Body * | GetBodyB ()
| Get the second body attached to this joint.
b2Joint * | GetNext ()
| Get the next joint the world joint list.
const b2Joint * | GetNext () const
b2JointUserData & | GetUserData ()
| Get the user data pointer.
bool | IsEnabled () const
| Short-cut function to determine if either body is enabled.
bool | GetCollideConnected () const
virtual void | ShiftOrigin (const b2Vec2 &newOrigin)
| Shift the origin for any points stored in world coordinates.
virtual void | Draw (b2Draw *draw) const
| Debug draw this joint.

## Protected Member Functions
| b2MotorJoint (const b2MotorJointDef *def)
void | InitVelocityConstraints (const b2SolverData &data) override
void | SolveVelocityConstraints (const b2SolverData &data) override
bool | SolvePositionConstraints (const b2SolverData &data) override
Protected Member Functions inherited from b2Joint
| b2Joint (const b2JointDef *def)

## Protected Attributes
b2Vec2 | m_linearOffset
float | m_angularOffset
b2Vec2 | m_linearImpulse
float | m_angularImpulse
float | m_maxForce
float | m_maxTorque
float | m_correctionFactor
int32 | m_indexA
int32 | m_indexB
b2Vec2 | m_rA
b2Vec2 | m_rB
b2Vec2 | m_localCenterA
b2Vec2 | m_localCenterB
b2Vec2 | m_linearError
float | m_angularError
float | m_invMassA
float | m_invMassB
float | m_invIA
float | m_invIB
b2Mat22 | m_linearMass
float | m_angularMass
Protected Attributes inherited from b2Joint
b2JointType | m_type
b2Joint * | m_prev
b2Joint * | m_next
b2JointEdge | m_edgeA
b2JointEdge | m_edgeB
b2Body * | m_bodyA
b2Body * | m_bodyB
int32 | m_index
bool | m_islandFlag
bool | m_collideConnected
b2JointUserData | m_userData

## Friends
class | b2Joint

## Additional Inherited Members
Static Protected Member Functions inherited from b2Joint
static b2Joint * | Create (const b2JointDef *def, b2BlockAllocator *allocator)
static void | Destroy (b2Joint *joint, b2BlockAllocator *allocator)

## Detailed Description

A motor joint is used to control the relative motion between two bodies. A typical usage is to control the movement of a dynamic body with respect to the ground.

## Member Function Documentation

## ◆ Dump()

void b2MotorJoint::Dump | ( |  | ) |
| overridevirtual

Dump to b2Log.

Reimplemented from b2Joint.

## ◆ GetAnchorA()

b2Vec2 b2MotorJoint::GetAnchorA | ( |  | ) | const
| overridevirtual

Get the anchor point on bodyA in world coordinates.

Implements b2Joint.

## ◆ GetAnchorB()

b2Vec2 b2MotorJoint::GetAnchorB | ( |  | ) | const
| overridevirtual

Get the anchor point on bodyB in world coordinates.

Implements b2Joint.

## ◆ GetReactionForce()

b2Vec2 b2MotorJoint::GetReactionForce | ( | float | inv_dt | ) | const
| overridevirtual

Get the reaction force on bodyB at the joint anchor in Newtons.

Implements b2Joint.

## ◆ GetReactionTorque()

float b2MotorJoint::GetReactionTorque | ( | float | inv_dt | ) | const
| overridevirtual

Get the reaction torque on bodyB in N*m.

Implements b2Joint.

## ◆ InitVelocityConstraints()

void b2MotorJoint::InitVelocityConstraints | ( | const b2SolverData & | data | ) |
| overrideprotectedvirtual

Implements b2Joint.

## ◆ SolvePositionConstraints()

bool b2MotorJoint::SolvePositionConstraints | ( | const b2SolverData & | data | ) |
| overrideprotectedvirtual

Implements b2Joint.

## ◆ SolveVelocityConstraints()

void b2MotorJoint::SolveVelocityConstraints | ( | const b2SolverData & | data | ) |
| overrideprotectedvirtual

Implements b2Joint.

The documentation for this class was generated from the following file:

- /build/box2d/src/box2d-2.4.1/include/box2d/b2_motor_joint.h